### Method

# Gtk FileFilter get_attributes

#### Declaration [src]

    const char**
    gtk_file_filter_get_attributes (
      GtkFileFilter* filter
    )

#### Description [src]

Gets the attributes that need to be filled in for the `GFileInfo` passed to this filter.

This function will not typically be used by applications; it is intended principally for use in the implementation of `GtkFileChooser`.

#### Return value

Returns: | An array of `utf8`
| The attributes.
| The data is owned by the instance.